ath79: fix support-list for TP-Link WDR3600
authorDavid Bauer <mail@david-bauer.net>
Fri, 22 Feb 2019 23:25:07 +0000 (00:25 +0100)
committerHauke Mehrtens <hauke@hauke-m.de>
Tue, 26 Feb 2019 22:20:04 +0000 (23:20 +0100)
The TP-Link WDR3600 shares the same machine-code in the ar71xx target,
thus expecting "tl-wdr4300" not "tl-wdr3600" in the support-list
metadata to allow non-forced sysupgrades from ar71xx to ath79.

With this, it is possible to flash a WDR4300 image on the WDR3600. It
is no problem however, as the only difference is the 5GHz WiFi chip
which has 3SS instead of 2SS. Both work with either image.

Signed-off-by: David Bauer <mail@david-bauer.net>
target/linux/ath79/image/generic-tp-link.mk

index 2e88973..db11a6f 100644 (file)
@@ -122,7 +122,7 @@ define Device/tplink_tl-wdr3600
   DEVICE_TITLE := TP-Link TL-WDR3600
   DEVICE_PACKAGES := kmod-usb-core kmod-usb2 kmod-usb-ledtrig-usbport
   TPLINK_HWID := 0x36000001
-  SUPPORTED_DEVICES += tl-wdr3600
+  SUPPORTED_DEVICES += tl-wdr4300
 endef
 TARGET_DEVICES += tplink_tl-wdr3600